(function ($, Drupal) {
  Drupal.behaviors.contentReport = {
    attach(context, settings) {
      $(once('content-report', '.button[onclick="clearForm()"]', context)).on(
        'click',
        function (e) {
          e.preventDefault();
          window.location.href =
            '/admin/reports/content-insights-report/content';
        },
      );
    },
  };

  // Add global sorting function
  window.sorting = function (field, direction) {
    const form = document.getElementById('content-report-filter-form');
    if (form) {
      const inputSort = form.querySelector(
        '[data-drupal-selector="edit-sort"]',
      );
      const inputOrder = form.querySelector(
        '[data-drupal-selector="edit-order"]',
      );
      if (inputSort) {
        inputSort.value = field;
      }
      if (inputOrder) {
        inputOrder.value = direction;
      }
      form.submit();
    }
  };
})(jQuery, Drupal);
